﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Monkee.Core.Helpers
{
    class SpellBook
    {
        enum Weapon { Fist = 0, Axe, Sword, Mace, Staff, Polearm };
        public const int
        #region [Method] - Aura List
            auraSerenity = 152173,
            auraTigerPower = 125359,
            auraTigerEyeBrewSt = 125195,
            auraTigerEyeBrew = 116740,
            auraComboBreaker_TigerPalm = 118864, 
            auraComboBreaker_BlackoutKick = 116768,
            auraComboBreaker_ChiExplosion = 159407,
            auraTigerStrikes = 120273,
            auraLegacyOfTheWhiteTiger = 116781,
            auraWindwalking = 166646,
            auraPowerStrikes = 129914,
            auraRushingJadeWind = 116847,
            auraHealingElixirs = 134563,
            auraRisingSunKick = 130320,
            auraMortalWounds = 115804,
            auraBlackoutKick = 128531,
            auraShatteredBleed = 159238, //from weapon enchant
            auraChiExplosion = 157680,
            auraEnergizingBrew = 115288,
            auraSEFOnMe = 137639,
            auraSEFOnUnit = 138130,
        #endregion

        #region [Method] - Spell List
            spellAutoAttack = 6603,
            spellInvokeXuen = 123904,
            spellSerenity = 152173,
            spellChiBrew = 115399,
            spellTigerPalm = 100787,
            spellTigerEyeBrew = 116740,
            spellFistsOfFury = 113656,
            spellRisingSunKick = 107428,
            spellFortifyingBrew = 115203,
            spellTouchOfDeath = 115080,
            spellHurricaneStrike = 152175 ,
            spellChiExplosion = 152174,
            spellEnergizingBrew = 115288,
            spellChiWave = 115098,
            spellChiBurst = 123986,    
            spellZenSphere = 124081,
            spellBlackoutKick = 100784,
            spellChiTorpedo = 115008,
            spellRushingJadeWind = 116847,
            spellTranscendence =101643,
            spellTranscendence_Transfer =119996,
            spellZenMeditation = 115176,
            spellLegacyOfTheWhiteTiger = 116781,
            spellStormEarthAndFire = 137939,
            spellDampenHarm = 122278,
            spellDiffuseMagic = 122783,
            spellChargingOxWave = 119392,
            spellLegSweep =119381,
            spellCracklingJadeLightning = 117952,
            spellSpinningCraneKick = 101546,
            spellParalysis = 115078,
            spellSpearHandStrike = 116705,
            spellNimbleBrew = 137562,
            spellDisable = 116095,
            spellExpelHarm = 115072,
            spellTouchOfKarma = 122470,
            spellDetox = 115450,
            spellFlyingSerpentKick = 101545,
            spellResuscitate = 115178,
            spellTigersLust = 116841,
            spellRoll = 109132,
            spellSurgingMist = 116694,
            spellProvoke = 115546,
            spellRingOfPeace = 116844,
            spellSEF = 137639,
        #endregion

        #region Racial
            spellBloodFury = 20572,
            spellBerserking = 26297,
            spellArcaneTorrent = 28730;
        #endregion
        public static int spellJab =100780;

        public static void setSpellJabId(int weaponClass){
            switch (weaponClass) { 
                case (int)Weapon.Fist:
                    spellJab = 100780;
                    break;
                case (int)Weapon.Axe:
                    spellJab = 115687; 
                    break;
                case (int)Weapon.Mace:
                    spellJab = 115693;
                    break;
                case (int)Weapon.Sword:
                    spellJab = 115695;
                    break;
                case (int)Weapon.Staff:
                    spellJab = 108557;
                    break;
                case (int)Weapon.Polearm:
                    spellJab = 115698;
                    break;
            }
        }

        
    }
}
