﻿using CommonBehaviors.Actions;
using Styx.TreeSharp;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Styx;
using Styx.WoWInternals.WoWObjects;
using Styx.CommonBot;
#region [Method] - Class Redundancy
using HkM = Monkee.Core.Managers.Hotkeys;
using SB = Monkee.Core.Helpers.SpellBook;
using TM = Monkee.Core.Managers.initTMEvents;
using U = Monkee.Core.Unit;
using S = Monkee.Core.Spell;
using L = Monkee.Core.Utilities.Log;
using OV = Monkee.Interface.GUI.frmOverlay;
#endregion  

namespace Monkee.Rotation
{
    class Rotation
    {
        private const int GCD = 1;
        private static LocalPlayer Me { get { return StyxWoW.Me; } }
        public static WoWSpec MySpec { get { return Me.Specialization; } }
        private static WoWUnit currentTarget { get { return StyxWoW.Me.CurrentTarget; } }
        private static WoWUnit Focused { get { return StyxWoW.Me.FocusedUnit; } }



        #region [Method] - Combat Buffing Routine
        public static async Task<bool> CombatBuffCoRoutine() {

            // Pause while casting, dead, mounted etc
            if (StyxWoW.Me.IsCasting || SpellManager.GlobalCooldown || !StyxWoW.Me.IsAlive || StyxWoW.Me.Mounted || HkM.manualOn || StyxWoW.Me.IsOnTransport || currentTarget == null)
                return true;

            if (!Me.IsAutoAttacking)
            {
                Me.ToggleAttack();
                L.combatLog("Auto attack on {0}", currentTarget.Name);
                return true;
            }

            //actions+=/fortifying_brew,if=target.health.percent<10&cooldown.touch_of_death.remains=0&(glyph.touch_of_death.enabled|chi>=3)
            if (currentTarget.HealthPercent < 10 && S.cooldownTimeLeft(SB.spellTouchOfDeath) == 0 &&( U.chi >= 3 )&& await S.spellCast(SB.spellFortifyingBrew))
                return true;
            //actions+=/touch_of_death,if=target.health.percent<10&(glyph.touch_of_death.enabled|chi>=3)
            if (currentTarget.HealthPercent < 10 && U.chi >= 3 && await S.spellCast(SB.spellTouchOfDeath))
                return true;
                //actions+=/invoke_xuen,if=talent.invoke_xuen.enabled&time>5
            if (TM.invokeXuenTheWhiteTiger && HkM.cooldownsOn && U.combatTime.ElapsedMilliseconds > 5000  && await S.spellCast(SB.spellInvokeXuen, false))
                return true;
            if (HkM.cooldownsOn && currentTarget.IsWithinMeleeRange && Me.Inventory.Equipped.Trinket1 != null && S.CanUseEquippedItem(Me.Inventory.Equipped.Trinket1))
            {
                if(Me.Inventory.Equipped.Trinket1.Use())
                    L.combatLog("Usings trinket 1");
                return true;
            }
            else if (HkM.cooldownsOn &&  currentTarget.IsWithinMeleeRange && Me.Inventory.Equipped.Trinket2 != null && S.CanUseEquippedItem(Me.Inventory.Equipped.Trinket2))
            {
                if (Me.Inventory.Equipped.Trinket2.Use())
                    L.combatLog("Usings trinket 2");
                return true;
            }

            //actions+=/storm_earth_and_fire_cancel, if=currenttarget.debuff.storm_earth_and_fire.up
            if (U.auraExists(currentTarget, SB.auraSEFOnUnit)) {
                S.cancelAura(SB.auraSEFOnMe);
            }
            //actions+=/storm_earth_and_fire custom logic
            if (HkM.SEF && U.activeEnemies(Me.Location, Main.Settings.SEFRange).Count() > 1 && U.auraStacks(Me, SB.auraSEFOnMe) < 2) {
                foreach (WoWUnit u in U.activeEnemies(Me.Location, Main.Settings.SEFRange))
                { 
                    if(U.auraStacks(Me, SB.auraSEFOnMe) == 2)
                        break;
                    if (u.Combat && u != currentTarget && !U.auraExists(u, SB.auraSEFOnUnit) && u.InLineOfSight && u.MaxHealth > Main.Settings.SEFMinHP && !U.IsCrowdControlled(u) && await S.spellCast(SB.spellSEF, u))
                    {
                       return true;
                    }
                }
            }
            
            //actions+=/call_action_list,name=opener,if=talent.serenity.enabled&talent.chi_brew.enabled&cooldown.fists_of_fury.up&time<20
            if (TM.serenity && TM.chiBrew && S.cooldownTimeLeft(SB.spellFistsOfFury) == 0 && U.combatTime.ElapsedMilliseconds < 20000 && await openerRotation()) //Need timer on combat start
                return true;
            //actions+=/blood_fury,if=buff.tigereye_brew_use.up|target.time_to_die<18
            if (Me.Race == WoWRace.Orc && HkM.cooldownsOn && U.tigerEyeBrewUp && await S.spellCast(SB.spellBloodFury))
                return true;
            //actions+=/berserking,if=buff.tigereye_brew_use.up|target.time_to_die<18
            if (Me.Race == WoWRace.Troll && HkM.cooldownsOn && U.tigerEyeBrewUp && await S.spellCast(SB.spellBerserking))
                return true;
            //actions+=/arcane_torrent,if=chi.max-chi>=1&(buff.tigereye_brew_use.up|target.time_to_die<18)
            if (Me.Race == WoWRace.BloodElf && HkM.cooldownsOn && (U.maxChi - U.chi)>=1 && U.tigerEyeBrewUp && await S.spellCast(SB.spellArcaneTorrent))
                return true;
            //actions+=/chi_brew,if=chi.max-chi>=2&((charges=1&recharge_time<=10)|charges=2|target.time_to_die<charges*10)&buff.tigereye_brew.stack<=16
            if (TM.chiBrew && (Me.MaxChi - U.chi) >= 2 && HkM.cooldownsOn && ((S.spellCharges(SB.spellChiBrew) == 1) && S.cooldownTimeLeft(SB.spellChiBrew) <= 10000 || S.spellCharges(SB.spellChiBrew) == 2) && U.stacksTEB <= 16 && await S.spellCast(SB.spellChiBrew, false))
                return true;
            //actions+=/tiger_palm,if=buff.tiger_power.remains<6.6
            if (U.auraTimeLeft(Me, SB.auraTigerPower)<=4000 &&  U.chi >= 1 && await S.spellCast(SB.spellTigerPalm))
                return true;
            //actions+=/tigereye_brew,if=buff.tigereye_brew_use.down&buff.tigereye_brew.stack=20
            if (!U.tigerEyeBrewUp && U.stacksTEB == 20 && await S.spellCast(SB.spellTigerEyeBrew))
                return true;
            //actions+=/tigereye_brew,if=buff.tigereye_brew_use.down&buff.tigereye_brew.stack>=9&buff.serenity.up
            if ( !U.tigerEyeBrewUp && U.stacksTEB >= 9 && TM.serenity && U.serenityUp && await S.spellCast(SB.spellTigerEyeBrew))
                return true;
            //actions+=/tigereye_brew,if=buff.tigereye_brew_use.down&buff.tigereye_brew.stack>=9&cooldown.fists_of_fury.up&chi>=3&debuff.rising_sun_kick.up&buff.tiger_power.up
            if ( !U.tigerEyeBrewUp && U.stacksTEB >= 10 && SpellManager.CanCast(SB.spellFistsOfFury) && U.chi >=3 && U.risingSunKick && U.tigerPower && await S.spellCast(SB.spellTigerEyeBrew))
                return true;
            //actions+=/tigereye_brew,if=talent.hurricane_strike.enabled&buff.tigereye_brew_use.down&buff.tigereye_brew.stack>=9&cooldown.hurricane_strike.up&chi>=3&debuff.rising_sun_kick.up&buff.tiger_power.up
            if ( TM.hurricaneStrike && !U.tigerEyeBrewUp && U.stacksTEB >= 10 && SpellManager.CanCast(SB.spellHurricaneStrike) && U.chi >= 3 && U.risingSunKick && U.tigerPower && await S.spellCast(SB.spellTigerEyeBrew))
                return true;
            //actions+=/tigereye_brew,if=buff.tigereye_brew_use.down&chi>=2&(buff.tigereye_brew.stack>=16|target.time_to_die<40)&debuff.rising_sun_kick.up&buff.tiger_power.up
            if ( !U.tigerEyeBrewUp && U.chi >= 2 && (U.stacksTEB >= 16 || currentTarget.HealthPercent < 10) && U.risingSunKick && U.tigerPower && await S.spellCast(SB.spellTigerEyeBrew))
                return true;
            //actions+=/rising_sun_kick,if=(debuff.rising_sun_kick.down|debuff.rising_sun_kick.remains<3)
            if (U.chi >= 2 && (!U.risingSunKick || U.auraTimeLeft(currentTarget, SB.auraRisingSunKick) < 3000) && await S.spellCast(SB.spellRisingSunKick))
                return  true;
            //actions+=/serenity,if=chi>=2&buff.tiger_power.up&debuff.rising_sun_kick.up
            if (TM.serenity && HkM.cooldownsOn && U.chi >= 3 && U.tigerPower && U.risingSunKick && S.cooldownTimeLeft(SB.spellFistsOfFury) <= 9000 && await S.spellCast(SB.spellSerenity))
                return  true;

            //actions+=/fists_of_fury,if=buff.tiger_power.remains>cast_time&debuff.rising_sun_kick.remains>cast_time&energy.time_to_max>cast_time&!buff.serenity.up
            if (U.auraTimeLeft(Me, SB.auraTigerPower) > S.getCastTime(SB.spellFistsOfFury) && U.auraTimeLeft(currentTarget, SB.auraRisingSunKick) > S.getCastTime(SB.spellFistsOfFury) && ((!U.serenityUp && S.cooldownTimeLeft(SB.spellSerenity) > 8000 )|| (U.serenityUp && U.auraTimeLeft(Me, SB.auraSerenity)<1500)) && await S.spellCast(SB.spellFistsOfFury))
                return true;

            //actions+=/hurricane_strike,if=energy.time_to_max>cast_time&buff.tiger_power.remains>cast_time&debuff.rising_sun_kick.remains>cast_time&buff.energizing_brew.down
            if (TM.hurricaneStrike && U.timeToMaxEnergy() > S.getCastTime(SB.spellHurricaneStrike) && U.auraTimeLeft(Me, SB.auraTigerPower) > S.getCastTime(SB.spellHurricaneStrike) && U.auraTimeLeft(currentTarget, SB.auraRisingSunKick) > S.getCastTime(SB.spellHurricaneStrike) && !U.auraExists(Me,SB.auraEnergizingBrew) && await S.spellCast(SB.spellHurricaneStrike))
                return true;
            
            //actions+=/energizing_brew,if=cooldown.fists_of_fury.remains>6&(!talent.serenity.enabled|(!buff.serenity.remains&cooldown.serenity.remains>4))&energy+energy.regen*gcd<50
            if (HkM.cooldownsOn && S.cooldownTimeLeft(SB.spellFistsOfFury) > 6000 && (!TM.serenity || (!U.serenityUp && S.cooldownTimeLeft(SB.spellSerenity) > 4000)) && U.energy < 35 && await S.spellCast(SB.spellEnergizingBrew))
                return true;

            return false;
        }

        private static async Task<bool> openerRotation() {
            //actions.opener=tigereye_brew,if=buff.tigereye_brew_use.down&buff.tigereye_brew.stack>=9
            if (await S.spellCast(SB.spellTigerEyeBrew) && !U.tigerEyeBrewUp && U.stacksTEB >= 9)
                return true;
            //actions.opener+=/blood_fury,if=buff.tigereye_brew_use.up
            if (Me.Race == WoWRace.Orc && HkM.cooldownsOn && U.tigerEyeBrewUp && await S.spellCast(SB.spellBloodFury))
                return true;
            //actions.opener+=/berserking,if=buff.tigereye_brew_use.up
            if (Me.Race == WoWRace.Troll && HkM.cooldownsOn && U.tigerEyeBrewUp && await S.spellCast(SB.spellBerserking))
                return true;
            //actions.opener+=/arcane_torrent,if=buff.tigereye_brew_use.up&chi.max-chi>=1
            if (Me.Race == WoWRace.BloodElf && HkM.cooldownsOn && (U.maxChi - U.chi) >= 1 && U.tigerEyeBrewUp && await S.spellCast(SB.spellArcaneTorrent))
                return true;
            //actions.opener+=/fists_of_fury,if=buff.tiger_power.remains>cast_time&debuff.rising_sun_kick.remains>cast_time&buff.serenity.up&buff.serenity.remains<1.5
            if (U.auraTimeLeft(Me, SB.auraTigerPower) > S.getCastTime(SB.spellFistsOfFury) && U.auraTimeLeft(currentTarget, SB.auraRisingSunKick) > S.getCastTime(SB.spellFistsOfFury) && U.serenityUp && U.auraTimeLeft(Me, SB.auraSerenity) < 1500 && await S.spellCast(SB.spellFistsOfFury))
                return true;
            //actions.opener+=/tiger_palm,if=buff.tiger_power.remains<2
            if (U.auraTimeLeft(Me, SB.auraTigerPower) < 2000 && await S.spellCast(SB.spellTigerPalm))
                return true;
            //actions.opener+=/rising_sun_kick
            if (await S.spellCast(SB.spellRisingSunKick))
                return true;
            //actions.opener+=/blackout_kick,if=chi.max-chi<=1&cooldown.chi_brew.up|buff.serenity.up
            if ((U.maxChi - U.chi) <=1 && S.cooldownTimeLeft(SB.spellChiBrew) == 0 && U.serenityUp && await S.spellCast(SB.spellBlackoutKick))
                return true;
            //actions.opener+=/chi_brew,if=chi.max-chi>=2
            if ((U.maxChi - U.chi) >= 2 && HkM.cooldownsOn && await S.spellCast(SB.spellChiBrew))
                return true;
            //actions.opener+=/serenity,if=chi.max-chi<=2#
            if (TM.serenity && HkM.cooldownsOn && (U.maxChi - U.chi) <= 2 && await S.spellCast(SB.spellSerenity))
                return true;
            //actions.opener+=/jab,if=chi.max-chi>=2&!buff.serenity.up
            if ((U.maxChi - U.chi) >= 2 && !U.serenityUp)
                return await S.spellCast(SB.spellJab);

            return false;
        
        }

        private static async Task<bool> aoeRJWRotation()
        {
            //actions.aoe_rjw=chi_explosion,if=chi>=4&cooldown.fists_of_fury.remains>4
            if (U.chi >= 4 && S.cooldownTimeLeft(SB.spellFistsOfFury) > 4000 && await S.spellCast(SB.spellChiExplosion, false))
                return true;
            //actions.aoe_rjw+=/rushing_jade_wind
            if (await S.spellCast(SB.spellRushingJadeWind))
                return true;
            //actions.aoe_rjw+=/chi_wave,if=energy.time_to_max>2&buff.serenity.down
            if (TM.chiWave && U.timeToMaxEnergy() > 2000 && !U.serenityUp && await S.spellCast(SB.spellChiWave, false))
                return true;
            //actions.aoe+=/chi_burst,if=energy.time_to_max>2&buff.serenity.down
            if (TM.chiBurst && U.timeToMaxEnergy() > 2000 && !U.serenityUp && await S.spellCast(SB.spellChiBurst, false))
                return true;
            //actions.st+=/zen_sphere,cycle_targets=1,if=energy.time_to_max>2&!dot.zen_sphere.ticking
            if (TM.zenSphere && U.timeToMaxEnergy() > 2000 && !U.auraExists(Me, SB.spellZenSphere) && await S.spellCast(SB.spellZenSphere))
                return true;
            //actions.aoe_rjw+=/blackout_kick,if=buff.combo_breaker_bok.react|buff.serenity.up
            if (U.auraExists(Me, SB.auraComboBreaker_BlackoutKick) && U.serenityUp && await S.spellCast(SB.spellBlackoutKick))
                return true;
            //actions.aoe_rjw+=/tiger_palm,if=buff.combo_breaker_tp.react&buff.combo_breaker_tp.remains<=2
            if (U.auraExists(Me, SB.auraComboBreaker_TigerPalm) && U.auraTimeLeft(Me, SB.auraComboBreaker_TigerPalm) <= 2000 && await S.spellCast(SB.spellTigerPalm))
                return true;
            //actions.aoe_rjw+=/blackout_kick,if=chi.max-chi<2&(cooldown.fists_of_fury.remains>3|!talent.rushing_jade_wind.enabled)
            if ((U.maxChi - U.chi) < 2 && (S.cooldownTimeLeft(SB.spellFistsOfFury) > 3000 || !TM.rushingJadeWind) && await S.spellCast(SB.spellBlackoutKick))
                return true;
            //actions.cleave_chix+=/chi_torpedo,if=energy.time_to_max>2
            if (TM.chiTorpedo && U.timeToMaxEnergy() > 2000 && await S.spellCast(SB.spellChiTorpedo, false))
                return true;
            //actions.cleave_chix+=/expel_harm,if=chi.max-chi>=2&health.percent<95
            if (Me.HealthPercent < 95 && (U.maxChi - U.chi) >= 2 && await S.spellCast(SB.spellExpelHarm))
                return true;
            //actions.cleave_chix+=/jab,if=chi.max-chi>=2
            if ((U.maxChi - U.chi) >= 2)
                return await S.spellCast(SB.spellJab);
            return false;
        }

        private static async Task<bool> cleaveChiExRotation()
        {
            //actions.cleave_chix=chi_explosion,if=chi>=4&cooldown.fists_of_fury.remains>4
            if (U.chi >= 4 && S.cooldownTimeLeft(SB.spellFistsOfFury) > 4000  && await S.spellCast(SB.spellChiExplosion, false))
                return true;
            //actions.cleave_chix+=/tiger_palm,if=buff.combo_breaker_tp.react&buff.combo_breaker_tp.remains<=2
            if ( U.auraExists(Me, SB.auraComboBreaker_TigerPalm) && U.auraTimeLeft(Me, SB.auraComboBreaker_TigerPalm) <= 2000 && await S.spellCast(SB.spellTigerPalm))
                return true;
            //actions.aoe+=/chi_wave,if=energy.time_to_max>2&buff.serenity.down
            if (TM.chiWave && U.timeToMaxEnergy() > 2000 && !U.serenityUp && await S.spellCast(SB.spellChiWave, false))
                return true;
            //actions.aoe+=/chi_burst,if=energy.time_to_max>2&buff.serenity.down
            if (TM.chiBurst && U.timeToMaxEnergy() > 2000 && !U.serenityUp && await S.spellCast(SB.spellChiBurst, false))
                return true;
            //actions.st+=/zen_sphere,cycle_targets=1,if=energy.time_to_max>2&!dot.zen_sphere.ticking
            if (TM.zenSphere && U.timeToMaxEnergy() > 2000 && !U.auraExists(Me, SB.spellZenSphere) && await S.spellCast(SB.spellZenSphere))
                return true;
            //actions.cleave_chix+=/chi_torpedo,if=energy.time_to_max>2
            if (TM.chiTorpedo && U.timeToMaxEnergy() > 2000 && await S.spellCast(SB.spellChiTorpedo, false))
                return true;
            //actions.cleave_chix+=/expel_harm,if=chi.max-chi>=2&health.percent<95
            if (Me.HealthPercent < 95 && (U.maxChi - U.chi) >= 2 && await S.spellCast(SB.spellExpelHarm))
                return true;
            //actions.cleave_chix+=/jab,if=chi.max-chi>=2
            if ((U.maxChi - U.chi) >= 2)
                return await S.spellCast(SB.spellJab);
            return false;
        }

        private static async Task<bool> aoeRotation()
        {
            //actions.aoe=chi_explosion,if=chi>=4&cooldown.fists_of_fury.remains>4
            if (U.chi >= 4 && S.cooldownTimeLeft(SB.spellFistsOfFury) > 4000 && await S.spellCast(SB.spellChiExplosion, false))
                return true;
            //actions.aoe+=/rising_sun_kick,if=chi=chi.max
            if (U.chi == U.maxChi && await S.spellCast(SB.spellRisingSunKick))
                return true;
            //actions.aoe+=/chi_wave,if=energy.time_to_max>2&buff.serenity.down
            if (TM.chiWave && U.timeToMaxEnergy() > 2000 && !U.serenityUp && await S.spellCast(SB.spellChiWave, false))
                return true;
            //actions.aoe+=/chi_burst,if=energy.time_to_max>2&buff.serenity.down
            if (TM.chiBurst && U.timeToMaxEnergy() > 2000 && !U.serenityUp && await S.spellCast(SB.spellChiBurst, false))
                return true;
            //actions.st+=/zen_sphere,cycle_targets=1,if=energy.time_to_max>2&!dot.zen_sphere.ticking
            if (TM.zenSphere && U.timeToMaxEnergy() > 2000 && !U.auraExists(Me, SB.spellZenSphere)  && await S.spellCast(SB.spellZenSphere))
                return true;
            //actions.aoe+=/chi_torpedo,if=energy.time_to_max>2
            if (TM.chiTorpedo && U.timeToMaxEnergy() > 2000 && await S.spellCast(SB.spellChiTorpedo, false))
                return true;
            //actions.aoe+=/spinning_crane_kick
            return await S.spellCast(SB.spellSpinningCraneKick);
        }

        private static async Task<bool> stChiExRotation()
        {
            //actions.st_chix=chi_explosion,if=chi>=2&buff.combo_breaker_ce.react&cooldown.fists_of_fury.remains>2
            if (U.chi >= 2 && U.auraExists(Me, SB.auraComboBreaker_ChiExplosion) && (S.cooldownTimeLeft(SB.spellFistsOfFury) > 2000) && await S.spellCast(SB.spellChiExplosion))
                return true;
            //actions.st_chix+=/tiger_palm,if=buff.combo_breaker_tp.react&buff.combo_breaker_tp.remains<=2
            if (U.auraExists(Me, SB.auraComboBreaker_TigerPalm) && U.auraTimeLeft(Me, SB.auraComboBreaker_TigerPalm) <= 2000 && await S.spellCast(SB.spellTigerPalm))
                return true;
            //actions.st+=/chi_wave,if=energy.time_to_max>2&buff.serenity.down
            if (TM.chiWave && U.timeToMaxEnergy() > 2000 && !U.serenityUp && await S.spellCast(SB.spellChiWave, false))
                return true;
            //actions.st+=/chi_burst,if=energy.time_to_max>2&buff.serenity.down
            if (TM.chiBurst && U.timeToMaxEnergy() > 2000 && !U.serenityUp && await S.spellCast(SB.spellChiBurst, false))
                return true;
            //actions.st+=/zen_sphere,cycle_targets=1,if=energy.time_to_max>2&!dot.zen_sphere.ticking&buff.serenity.down
            if (TM.zenSphere && U.timeToMaxEnergy() > 2000 && !U.auraExists(Me, SB.spellZenSphere) && !U.serenityUp && await S.spellCast(SB.spellZenSphere))
                return true;
            //actions.st_chix+=/rising_sun_kick
            if (await S.spellCast(SB.spellRisingSunKick))
                return true;
            //actions.st_chix+=/tiger_palm,if=chi=4&!buff.combo_breaker_tp.react
            if (U.chi == 4 && !U.auraExists(Me, SB.auraComboBreaker_TigerPalm) && await S.spellCast(SB.spellTigerPalm))
                return true;
            //actions.st_chix+=/chi_explosion,if=chi>=3&cooldown.fists_of_fury.remains>4
            if (U.chi >= 3 && S.cooldownTimeLeft(SB.spellFistsOfFury) > 4000 && await S.spellCast(SB.spellChiExplosion))
                return true;
            //actions.st_chix+=/chi_torpedo,if=energy.time_to_max>2
            if (TM.chiTorpedo && U.timeToMaxEnergy() > 2000 && await S.spellCast(SB.spellChiTorpedo, false))
                return true;
            //actions.st_chix+=/expel_harm,if=chi.max-chi>=2&health.percent<95
            if (Me.HealthPercent < 95 && (U.maxChi - U.chi) >= 2 && await S.spellCast(SB.spellExpelHarm))
                return true;
            //actions.st_chix+=/jab,if=chi.max-chi>=2
            if ((U.maxChi - U.chi) >= 2)
                return await S.spellCast(SB.spellJab);
            return false;
        }

        private static async Task<bool> stRotation()
        {
            //actions.st=rising_sun_kick
            if (await S.spellCast(SB.spellRisingSunKick))
                return true;
            //actions.st+=/blackout_kick,if=buff.combo_breaker_bok.react|buff.serenity.up
            if (U.auraExists(Me, SB.auraComboBreaker_BlackoutKick) && U.serenityUp && await S.spellCast(SB.spellBlackoutKick))
                return true;
            //actions.st+=/tiger_palm,if=buff.combo_breaker_tp.react&buff.combo_breaker_tp.remains<=2
            if (U.auraExists(Me, SB.auraComboBreaker_TigerPalm) && U.auraTimeLeft(Me, SB.auraComboBreaker_TigerPalm) <=2000 && await S.spellCast(SB.spellTigerPalm))
                return true;
            //actions.st+=/chi_wave,if=energy.time_to_max>2&buff.serenity.down
            if (TM.chiWave && U.timeToMaxEnergy()> 2000 && !U.serenityUp && await S.spellCast(SB.spellChiWave, false))
                return true;
            //actions.st+=/chi_burst,if=energy.time_to_max>2&buff.serenity.down
            if (TM.chiBurst && U.timeToMaxEnergy() > 2000 && !U.serenityUp && await S.spellCast(SB.spellChiBurst, false))
                return true;
            //actions.st+=/zen_sphere,cycle_targets=1,if=energy.time_to_max>2&!dot.zen_sphere.ticking&buff.serenity.down
            if (TM.zenSphere && U.timeToMaxEnergy() > 2000 && !U.auraExists(Me, SB.spellZenSphere) && !U.serenityUp && await S.spellCast(SB.spellZenSphere))
                return true;
            //actions.st+=/chi_torpedo,if=energy.time_to_max>2&buff.serenity.down
            if (TM.chiTorpedo && U.timeToMaxEnergy() > 2000 && !U.serenityUp && await S.spellCast(SB.spellChiTorpedo,false))
                return true;
            //actions.st+=/blackout_kick,if=chi.max-chi<2
            if ((Me.MaxChi - U.chi) < 2 && await S.spellCast(SB.spellBlackoutKick))
                return true;
            //actions.st+=/expel_harm,if=chi.max-chi>=2&health.percent<95
            if (Me.HealthPercent < 95 && (U.maxChi - U.chi) >= 2 && await S.spellCast(SB.spellExpelHarm))
                return true;
            //actions.st+=/jab,if=chi.max-chi>=2
            if ((U.maxChi - U.chi) >= 2)
                return await S.spellCast(SB.spellJab);

            return false;
        }
        #endregion

        #region [Method] - Precombat Buffing Routine
        public static async Task<bool> PreCombatCoRoutine()
        {
            if (Me.Specialization == WoWSpec.MonkBrewmaster || Me.Specialization == WoWSpec.MonkMistweaver)
            {
                L.combatLog("Current spec {0} is not supported yet. Do nothing.", Me.Specialization);
                return true;
            }
            
            // Pause while casting, dead, mounted etc
            if (StyxWoW.Me.IsCasting || SpellManager.GlobalCooldown  || !StyxWoW.Me.IsAlive || StyxWoW.Me.Mounted || HkM.manualOn  || StyxWoW.Me.IsOnTransport)
                return true;

            //stack Chi while not in Combat
            if (HkM.preBuff && !Me.Combat && await S.spellCast(SB.spellExpelHarm, false))
                return true;
            if (HkM.preBuff && U.needToBuffMe() && await S.spellCast(SB.spellLegacyOfTheWhiteTiger, false))
            {
                return true;
            }
            //if (HkM.preBuff && TM.chiBrew && (S.spellCharges(SB.spellChiBrew) == 2 || U.auraTimeLeft(Me, SB.auraTigerEyeBrewSt) < 10000) && U.stacksTEB <= 16)
            //    return  await S.spellCast(SB.spellChiBrew, false);

            // Return false at the end of the buffing logic
            // If we don't return false, then it'll prevent moving further down the 'global' tree. I.e. it won't call CombatBehavior etc.
            if (OV.isShown())
                OV.updateRange(currentTarget);
            return false;
        }
                
        #endregion

        #region [Method] - Combat Routine
        public static async Task<bool> CombatCoRoutine() {
            if (HkM.manualOn)
                return true;
            if(OV.isShown())
                OV.updateRange(currentTarget);
            int count = U.activeEnemies(Me.Location, 8).Count();

            if (Main.Settings.minHPtoUseHTorHS != 0 && Me.HealthPercent < Main.Settings.minHPtoUseHTorHS)
            {
                WoWItem iHt = S.FindFirstUsableItemByItemId(109223);
                if (iHt != null)
                    iHt.Use();
                else {
                    WoWItem iHs = S.FindFirstUsableItemByItemId(5512);
                    if (iHs != null)
                        iHs.Use();
                }
            }
            //actions+=/call_action_list,name=st,if=active_enemies<3&(level<100|!talent.chi_explosion.enabled)
            if ((count < 3 || !HkM.aoeOn) && (Me.Level < 100 || !TM.chiExplosion))
                return await stRotation();
            //actions+=/call_action_list,name=st_chix,if=active_enemies=1&talent.chi_explosion.enabled
            else if ((count == 1|| !HkM.aoeOn) && TM.chiExplosion)
                return await stChiExRotation();
            //actions+=/call_action_list,name=cleave_chix,if=active_enemies=2&talent.chi_explosion.enabled
            else if (HkM.aoeOn && count == 2 && TM.chiExplosion)
                return await cleaveChiExRotation();
            //actions+=/call_action_list,name=aoe,if=active_enemies>=3&!talent.rushing_jade_wind.enabled
            else if (HkM.aoeOn && count >= 3 && !TM.rushingJadeWind)
                return await aoeRotation();
            //actions+=/call_action_list,name=aoe_rjw,if=active_enemies>=3&talent.rushing_jade_wind.enabled
            if (HkM.aoeOn && count >= 3 && TM.rushingJadeWind)
                return await aoeRJWRotation();
            return false;
        }

        
        #endregion
    }
}
